Changeset 592


Ignore:
Timestamp:
Mar 30, 2007 5:16:44 PM (12 years ago)
Author:
lou
Message:

Configuration and makefile changes for cbc-generic.

Location:
branches/devel/Cbc
Files:
8 edited

Legend:

Unmodified
Added
Removed
  • branches/devel/Cbc/Makefile.in

    r547 r592  
    120120CBCOBJDIR = @CBCOBJDIR@
    121121CBCSRCDIR = @CBCSRCDIR@
     122CBC_BUILD_CBC_GENERIC_FALSE = @CBC_BUILD_CBC_GENERIC_FALSE@
     123CBC_BUILD_CBC_GENERIC_TRUE = @CBC_BUILD_CBC_GENERIC_TRUE@
    122124CC = @CC@
    123125CCDEPMODE = @CCDEPMODE@
  • branches/devel/Cbc/configure

    r585 r592  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11211121  --with-tags[=TAGS]
    11221122                          include additional configurations [automatic]
    1123   --with-cbc-default-solver
    1124                           specify default solver for Cbc in lower case letters
    1125                           (if not given, clp is assumed)
    11261123  --with-cplex-incdir specify the directory with the header files for library
    11271124                          Cplex
     
    11471144  --with-asldir           specify path to AMPL solver directory (or BUILD for
    11481145                          compilation, or "no" for disabling AMPL)
     1146  --with-cbc-generic      specify whether to build cbc-generic (default: no)
     1147  --with-cbc-generic-solver
     1148                          specify default solver for cbc-generic in lower case
     1149                          letters (if not given, clp is assumed)
    11491150
    11501151Some influential environment variables:
     
    56695670*-*-irix6*)
    56705671  # Find out which ABI we are using.
    5671   echo '#line 5671 "configure"' > conftest.$ac_ext
     5672  echo '#line 5672 "configure"' > conftest.$ac_ext
    56725673  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    56735674  (eval $ac_compile) 2>&5
     
    68036804
    68046805# Provide some information about the compiler.
    6805 echo "$as_me:6805:" \
     6806echo "$as_me:6806:" \
    68066807     "checking for Fortran 77 compiler version" >&5
    68076808ac_compiler=`set X $ac_compile; echo $2`
     
    78707871   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78717872   -e 's:$: $lt_compiler_flag:'`
    7872    (eval echo "\"\$as_me:7872: $lt_compile\"" >&5)
     7873   (eval echo "\"\$as_me:7873: $lt_compile\"" >&5)
    78737874   (eval "$lt_compile" 2>conftest.err)
    78747875   ac_status=$?
    78757876   cat conftest.err >&5
    7876    echo "$as_me:7876: \$? = $ac_status" >&5
     7877   echo "$as_me:7877: \$? = $ac_status" >&5
    78777878   if (exit $ac_status) && test -s "$ac_outfile"; then
    78787879     # The compiler can only warn and ignore the option if not recognized
     
    81388139   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81398140   -e 's:$: $lt_compiler_flag:'`
    8140    (eval echo "\"\$as_me:8140: $lt_compile\"" >&5)
     8141   (eval echo "\"\$as_me:8141: $lt_compile\"" >&5)
    81418142   (eval "$lt_compile" 2>conftest.err)
    81428143   ac_status=$?
    81438144   cat conftest.err >&5
    8144    echo "$as_me:8144: \$? = $ac_status" >&5
     8145   echo "$as_me:8145: \$? = $ac_status" >&5
    81458146   if (exit $ac_status) && test -s "$ac_outfile"; then
    81468147     # The compiler can only warn and ignore the option if not recognized
     
    82428243   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82438244   -e 's:$: $lt_compiler_flag:'`
    8244    (eval echo "\"\$as_me:8244: $lt_compile\"" >&5)
     8245   (eval echo "\"\$as_me:8245: $lt_compile\"" >&5)
    82458246   (eval "$lt_compile" 2>out/conftest.err)
    82468247   ac_status=$?
    82478248   cat out/conftest.err >&5
    8248    echo "$as_me:8248: \$? = $ac_status" >&5
     8249   echo "$as_me:8249: \$? = $ac_status" >&5
    82498250   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82508251   then
     
    1058710588  lt_status=$lt_dlunknown
    1058810589  cat > conftest.$ac_ext <<EOF
    10589 #line 10589 "configure"
     10590#line 10590 "configure"
    1059010591#include "confdefs.h"
    1059110592
     
    1068710688  lt_status=$lt_dlunknown
    1068810689  cat > conftest.$ac_ext <<EOF
    10689 #line 10689 "configure"
     10690#line 10690 "configure"
    1069010691#include "confdefs.h"
    1069110692
     
    1303113032   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303213033   -e 's:$: $lt_compiler_flag:'`
    13033    (eval echo "\"\$as_me:13033: $lt_compile\"" >&5)
     13034   (eval echo "\"\$as_me:13034: $lt_compile\"" >&5)
    1303413035   (eval "$lt_compile" 2>conftest.err)
    1303513036   ac_status=$?
    1303613037   cat conftest.err >&5
    13037    echo "$as_me:13037: \$? = $ac_status" >&5
     13038   echo "$as_me:13038: \$? = $ac_status" >&5
    1303813039   if (exit $ac_status) && test -s "$ac_outfile"; then
    1303913040     # The compiler can only warn and ignore the option if not recognized
     
    1313513136   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1313613137   -e 's:$: $lt_compiler_flag:'`
    13137    (eval echo "\"\$as_me:13137: $lt_compile\"" >&5)
     13138   (eval echo "\"\$as_me:13138: $lt_compile\"" >&5)
    1313813139   (eval "$lt_compile" 2>out/conftest.err)
    1313913140   ac_status=$?
    1314013141   cat out/conftest.err >&5
    13141    echo "$as_me:13141: \$? = $ac_status" >&5
     13142   echo "$as_me:13142: \$? = $ac_status" >&5
    1314213143   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1314313144   then
     
    1470514706   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470614707   -e 's:$: $lt_compiler_flag:'`
    14707    (eval echo "\"\$as_me:14707: $lt_compile\"" >&5)
     14708   (eval echo "\"\$as_me:14708: $lt_compile\"" >&5)
    1470814709   (eval "$lt_compile" 2>conftest.err)
    1470914710   ac_status=$?
    1471014711   cat conftest.err >&5
    14711    echo "$as_me:14711: \$? = $ac_status" >&5
     14712   echo "$as_me:14712: \$? = $ac_status" >&5
    1471214713   if (exit $ac_status) && test -s "$ac_outfile"; then
    1471314714     # The compiler can only warn and ignore the option if not recognized
     
    1480914810   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481014811   -e 's:$: $lt_compiler_flag:'`
    14811    (eval echo "\"\$as_me:14811: $lt_compile\"" >&5)
     14812   (eval echo "\"\$as_me:14812: $lt_compile\"" >&5)
    1481214813   (eval "$lt_compile" 2>out/conftest.err)
    1481314814   ac_status=$?
    1481414815   cat out/conftest.err >&5
    14815    echo "$as_me:14815: \$? = $ac_status" >&5
     14816   echo "$as_me:14816: \$? = $ac_status" >&5
    1481614817   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1481714818   then
     
    1701617017   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1701717018   -e 's:$: $lt_compiler_flag:'`
    17018    (eval echo "\"\$as_me:17018: $lt_compile\"" >&5)
     17019   (eval echo "\"\$as_me:17019: $lt_compile\"" >&5)
    1701917020   (eval "$lt_compile" 2>conftest.err)
    1702017021   ac_status=$?
    1702117022   cat conftest.err >&5
    17022    echo "$as_me:17022: \$? = $ac_status" >&5
     17023   echo "$as_me:17023: \$? = $ac_status" >&5
    1702317024   if (exit $ac_status) && test -s "$ac_outfile"; then
    1702417025     # The compiler can only warn and ignore the option if not recognized
     
    1728417285   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728517286   -e 's:$: $lt_compiler_flag:'`
    17286    (eval echo "\"\$as_me:17286: $lt_compile\"" >&5)
     17287   (eval echo "\"\$as_me:17287: $lt_compile\"" >&5)
    1728717288   (eval "$lt_compile" 2>conftest.err)
    1728817289   ac_status=$?
    1728917290   cat conftest.err >&5
    17290    echo "$as_me:17290: \$? = $ac_status" >&5
     17291   echo "$as_me:17291: \$? = $ac_status" >&5
    1729117292   if (exit $ac_status) && test -s "$ac_outfile"; then
    1729217293     # The compiler can only warn and ignore the option if not recognized
     
    1738817389   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1738917390   -e 's:$: $lt_compiler_flag:'`
    17390    (eval echo "\"\$as_me:17390: $lt_compile\"" >&5)
     17391   (eval echo "\"\$as_me:17391: $lt_compile\"" >&5)
    1739117392   (eval "$lt_compile" 2>out/conftest.err)
    1739217393   ac_status=$?
    1739317394   cat out/conftest.err >&5
    17394    echo "$as_me:17394: \$? = $ac_status" >&5
     17395   echo "$as_me:17395: \$? = $ac_status" >&5
    1739517396   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1739617397   then
     
    2012620127            -e 's/$AR t/lib -nologo -list/' \
    2012720128            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20128             -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20129            -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \\
     20130            -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    2012920131        libtool > conftest.bla
    2013020132
     
    2070320705echo "${ECHO_T}$coin_has_vol" >&6
    2070420706
    20705 
    20706 # ToDo: find out when CBC_HAS_CLP should be defined!  For now, I
    20707 # replaced all CBC_USE by COIN_HAS #ifdef's
    20708 
    20709 # Decide which one is the default solver
    20710 echo "$as_me:$LINENO: checking for CBC default solver" >&5
    20711 echo $ECHO_N "checking for CBC default solver... $ECHO_C" >&6
    20712 
    20713 # Check whether --with-cbc-default-solver or --without-cbc-default-solver was given.
    20714 if test "${with_cbc_default_solver+set}" = set; then
    20715   withval="$with_cbc_default_solver"
    20716   cbc_default_solver=$withval
    20717 else
    20718   cbc_default_solver=clp
    20719 fi;
    20720 echo "$as_me:$LINENO: result: $cbc_default_solver" >&5
    20721 echo "${ECHO_T}$cbc_default_solver" >&6
    20722 
    20723 case $cbc_default_solver in
    20724   clp)
    20725 
    20726 cat >>confdefs.h <<\_ACEOF
    20727 #define CBC_DEFAULT_SOLVER "clp"
    20728 _ACEOF
    20729 
    20730     ;;
    20731   dylp)
    20732     cat >>confdefs.h <<\_ACEOF
    20733 #define CBC_DEFAULT_SOLVER "dylp"
    20734 _ACEOF
    20735 
    20736     ;;
    20737   *)
    20738     { { echo "$as_me:$LINENO: error: Unknown solver $cbc_default_solver chosen as CBC's default solver" >&5
    20739 echo "$as_me: error: Unknown solver $cbc_default_solver chosen as CBC's default solver" >&2;}
    20740    { (exit 1); exit 1; }; }
    20741     ;;
    20742 esac
    2074320707
    2074420708#############################################################################
     
    2177021734
    2177121735# Determine the name of the ASL library
    21772 case "$CXX" in
     21736case "$CC" in
    2177321737  cl* | */cl* | CL* | */CL*)
    2177421738    ampllib=amplsolv.lib ;;
     
    2198221946
    2198321947
     21948#############################################################################
     21949#                       CbcGeneric configuration                            #
     21950#############################################################################
     21951
     21952# Are we building cbc-generic? Default is no (false).
     21953
     21954
     21955# Check whether --with-cbc-generic or --without-cbc-generic was given.
     21956if test "${with_cbc_generic+set}" = set; then
     21957  withval="$with_cbc_generic"
     21958  case $withval in
     21959    yes) cbc_with_cbc_generic=true ;;
     21960      *) cbc_with_cbc_generic=false ;;
     21961   esac
     21962else
     21963  cbc_with_cbc_generic=false
     21964fi;
     21965if test x"$cbc_with_cbc_generic" = xyes ; then
     21966  { echo "$as_me:$LINENO: building cbc-generic" >&5
     21967echo "$as_me: building cbc-generic" >&6;}
     21968fi
     21969
     21970
     21971if test x"$cbc_with_cbc_generic" = xtrue; then
     21972  CBC_BUILD_CBC_GENERIC_TRUE=
     21973  CBC_BUILD_CBC_GENERIC_FALSE='#'
     21974else
     21975  CBC_BUILD_CBC_GENERIC_TRUE='#'
     21976  CBC_BUILD_CBC_GENERIC_FALSE=
     21977fi
     21978
     21979
     21980# Set the default solver for cbc-generic. In theory, any OsiXXX should work.
     21981# In practice, only the three listed below have had any testing.
     21982
     21983echo "$as_me:$LINENO: checking for cbc-generic default solver" >&5
     21984echo $ECHO_N "checking for cbc-generic default solver... $ECHO_C" >&6
     21985
     21986# Check whether --with-cbc-generic-solver or --without-cbc-generic-solver was given.
     21987if test "${with_cbc_generic_solver+set}" = set; then
     21988  withval="$with_cbc_generic_solver"
     21989  cbc_default_solver=$withval
     21990else
     21991  cbc_default_solver=clp
     21992fi;
     21993echo "$as_me:$LINENO: result: $cbc_default_solver" >&5
     21994echo "${ECHO_T}$cbc_default_solver" >&6
     21995
     21996case $cbc_default_solver in
     21997   clp)
     21998    ;;
     21999  dylp)
     22000    ;;
     22001  glpk)
     22002    ;;
     22003     *)
     22004    { echo "$as_me:$LINENO: WARNING: Unrecognised solver $cbc_default_solver chosen as cbc-generic default solver." >&5
     22005echo "$as_me: WARNING: Unrecognised solver $cbc_default_solver chosen as cbc-generic default solver." >&2;}
     22006    ;;
     22007esac
     22008
     22009cat >>confdefs.h <<_ACEOF
     22010#define CBC_DEFAULT_SOLVER "$cbc_default_solver"
     22011_ACEOF
     22012
     22013
     22014#
     22015
    2198422016##############################################################################
    2198522017#                   VPATH links for example input files                      #
     
    2231022342Usually this means the macro was only invoked conditionally." >&5
    2231122343echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
     22344Usually this means the macro was only invoked conditionally." >&2;}
     22345   { (exit 1); exit 1; }; }
     22346fi
     22347if test -z "${CBC_BUILD_CBC_GENERIC_TRUE}" && test -z "${CBC_BUILD_CBC_GENERIC_FALSE}"; then
     22348  { { echo "$as_me:$LINENO: error: conditional \"CBC_BUILD_CBC_GENERIC\" was never defined.
     22349Usually this means the macro was only invoked conditionally." >&5
     22350echo "$as_me: error: conditional \"CBC_BUILD_CBC_GENERIC\" was never defined.
    2231222351Usually this means the macro was only invoked conditionally." >&2;}
    2231322352   { (exit 1); exit 1; }; }
     
    2301123050s,@COIN_HAS_ASL_TRUE@,$COIN_HAS_ASL_TRUE,;t t
    2301223051s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
     23052s,@CBC_BUILD_CBC_GENERIC_TRUE@,$CBC_BUILD_CBC_GENERIC_TRUE,;t t
     23053s,@CBC_BUILD_CBC_GENERIC_FALSE@,$CBC_BUILD_CBC_GENERIC_FALSE,;t t
    2301323054s,@LIBEXT@,$LIBEXT,;t t
    2301423055s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
  • branches/devel/Cbc/configure.ac

    r415 r592  
    6666AC_COIN_HAS_PROJECT(Vol)
    6767
    68 # ToDo: find out when CBC_HAS_CLP should be defined!  For now, I
    69 # replaced all CBC_USE by COIN_HAS #ifdef's
    70 
    71 # Decide which one is the default solver
    72 AC_MSG_CHECKING(for CBC default solver)
    73 AC_ARG_WITH([cbc-default-solver],
    74             AC_HELP_STRING([--with-cbc-default-solver],
    75                            [specify default solver for Cbc in lower case letters (if not given, clp is assumed)]),
    76             [cbc_default_solver=$withval],
    77             [cbc_default_solver=clp])
    78 AC_MSG_RESULT($cbc_default_solver)
    79 
    80 case $cbc_default_solver in
    81   clp)
    82     AC_DEFINE([CBC_DEFAULT_SOLVER],"clp",
    83               [Define to the name of the default solver to be used in CBC in small letters])
    84     ;;
    85   dylp)
    86     AC_DEFINE([CBC_DEFAULT_SOLVER],"dylp")
    87     ;;
    88   *)
    89     AC_MSG_ERROR([Unknown solver $cbc_default_solver chosen as CBC's default solver])
    90     ;;
    91 esac
    92 
    9368#############################################################################
    9469#                            Third party solvers                            #
     
    11085# Ampl Solver library
    11186AC_COIN_HAS_ASL
     87
     88#############################################################################
     89#                       CbcGeneric configuration                            #
     90#############################################################################
     91
     92# Are we building cbc-generic? Default is no (false).
     93
     94AC_ARG_WITH([cbc-generic],
     95  AS_HELP_STRING([--with-cbc-generic],
     96                 [specify whether to build cbc-generic (default: no)]),
     97  [case $withval in
     98    yes) cbc_with_cbc_generic=true ;;
     99      *) cbc_with_cbc_generic=false ;;
     100   esac],
     101  [cbc_with_cbc_generic=false])
     102if test x"$cbc_with_cbc_generic" = xyes ; then
     103  AC_MSG_NOTICE([building cbc-generic])
     104fi
     105AM_CONDITIONAL(CBC_BUILD_CBC_GENERIC,
     106               test x"$cbc_with_cbc_generic" = xtrue)
     107
     108# Set the default solver for cbc-generic. In theory, any OsiXXX should work.
     109# In practice, only the three listed below have had any testing.
     110
     111AC_MSG_CHECKING(for cbc-generic default solver)
     112AC_ARG_WITH([cbc-generic-solver],
     113            AC_HELP_STRING([--with-cbc-generic-solver],
     114                           [specify default solver for cbc-generic in lower
     115                            case letters (if not given, clp is assumed)]),
     116            [cbc_default_solver=$withval],
     117            [cbc_default_solver=clp])
     118AC_MSG_RESULT($cbc_default_solver)
     119
     120case $cbc_default_solver in
     121   clp)
     122    ;;
     123  dylp)
     124    ;;
     125  glpk)
     126    ;;
     127     *)
     128    AC_MSG_WARN([Unrecognised solver $cbc_default_solver chosen as cbc-generic default solver.])
     129    ;;
     130esac
     131AC_DEFINE_UNQUOTED([CBC_DEFAULT_SOLVER],"$cbc_default_solver",
     132  [Define to the name of the default solver to be used in cbc-generic in small letters])
     133
     134#
    112135
    113136##############################################################################
  • branches/devel/Cbc/inc/config_cbc.h.in

    r406 r592  
    11/* inc/config_cbc.h.in.  Generated from configure.ac by autoheader.  */
    22
    3 /* Define to the name of the default solver to be used in CBC in small letters
    4    */
     3/* Define to the name of the default solver to be used in cbc-generic in small
     4   letters */
    55#undef CBC_DEFAULT_SOLVER
    66
  • branches/devel/Cbc/src/Makefile.am

    r587 r592  
    4848        CbcLinked.cpp CbcLinked.hpp \
    4949        CbcTreeLocal.cpp CbcTreeLocal.hpp
     50
    5051## If we have the Ampl solver library, we need to add additional things
    5152## also see lower down
     
    5354libCbc_la_SOURCES += Cbc_ampl.cpp Cbc_ampl.h
    5455
     56
    5557# This is for libtool (on Windows)
     58
    5659libCbc_la_LDFLAGS = $(LT_LDFLAGS)
    5760
    58 ########################################################################
    59 #                        cbc-generic program                           #
    60 ########################################################################
     61# Some common setup for cbc and cbc-generic.
     62
     63bin_PROGRAMS =
     64AM_CPPFLAGS =
     65
     66LIBS += `cat $(CGLOBJDIR)/cgl_addlibs.txt` \
     67        `cat $(OSIOBJDIR)/osi_addlibs.txt` \
     68        `cat $(COINUTILSOBJDIR)/coinutils_addlibs.txt` $(ADDLIBS)
     69
     70
     71########################################################################
     72#                            cbc program                               #
     73########################################################################
     74
     75if COIN_HAS_CLP
    6176
    6277# Name of the executable compiled in this directory.  We want it to be
    6378# installed in the 'bin' directory
    64 bin_PROGRAMS = cbc-generic
     79bin_PROGRAMS += cbc
    6580
    6681# List all source files for this executable, including headers
     82cbc_SOURCES = \
     83        CoinSolve.cpp \
     84        unitTestClp.cpp
     85
     86# Additional COIN libraries
     87cbc_LDADD = libCbc.la \
     88        $(CGLOBJDIR)/src/libCgl.la \
     89        $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
     90        $(OSIOBJDIR)/src/libOsi.la \
     91        $(CLPOBJDIR)/src/libClp.la \
     92        $(COINUTILSOBJDIR)/src/libCoinUtils.la
     93
     94# Finally, the -rpath flag is used by libtool to make sure that the shared
     95# library is found (in the lib install directory) when we are using dynamic
     96# libraries.
     97cbc_LDFLAGS = -rpath $(libdir)
     98
     99# Add locations of include files.
     100
     101AM_CPPFLAGS += -I`$(CYGPATH_W) $(CLPSRCDIR)/src` \
     102        -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiClp` \
     103        -I`$(CYGPATH_W) $(CLPOBJDIR)/inc`
     104LIBS  += `cat $(CLPOBJDIR)/clp_addlibs.txt`
     105
     106# If we have the Ampl solver library, we need to add additional things
     107if COIN_HAS_ASL
     108#cbc_SOURCES += Cbc_ampl.cpp Cbc_ampl.h
     109cbc_LDADD += $(ASLLIB)
     110AM_CPPFLAGS += $(ASL_CPPFLAGS)
     111endif
     112
     113endif
     114
     115
     116########################################################################
     117#                        cbc-generic program                           #
     118########################################################################
     119
     120if CBC_BUILD_CBC_GENERIC
     121
     122# Name of the executable compiled in this directory.  We want it to be
     123# installed in the 'bin' directory
     124
     125bin_PROGRAMS += cbc-generic
     126
     127# List all source files for this executable, including headers
     128
    67129cbc_generic_SOURCES = \
    68         CbcMain.cpp \
    69         CbcParam.cpp CbcParam.hpp \
    70         unitTest.cpp
     130        CbcGenBaB.cpp \
     131        CbcGenCbcParam.cpp CbcGenCbcParam.hpp CbcGenCbcParamUtils.cpp \
     132        CbcGenCtlBlk.cpp CbcGenCtlBlk.hpp \
     133        CbcGeneric.cpp \
     134        CbcGenOsiParam.cpp CbcGenOsiParam.hpp CbcGenOsiParamUtils.cpp \
     135        CbcGenParam.cpp CbcGenParam.hpp CbcGenParamUtils.cpp \
     136        CbcGenSolution.cpp \
     137        CbcGenSolvers.cpp
    71138
    72139cbc_generic_LDADD = libCbc.la \
    73         $(CGLOBJDIR)/src/libCgl.la \
    74         $(OSIOBJDIR)/src/OsiCbc/libOsiCbc.la
    75 AM_CPPFLAGS = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiCbc`
     140        $(CGLOBJDIR)/src/libCgl.la
    76141
    77142# List all additionally required solver and Osi libraries
     143
    78144if COIN_HAS_CLP
    79145  AM_CPPFLAGS += -I`$(CYGPATH_W) $(CLPSRCDIR)/src` \
     
    155221cbc_generic_LDADD += $(OSIOBJDIR)/src/libOsi.la \
    156222        $(COINUTILSOBJDIR)/src/libCoinUtils.la
    157 LIBS += `cat $(OSIOBJDIR)/osi_addlibs.txt` \
    158         `cat $(COINUTILSOBJDIR)/coinutils_addlibs.txt` $(ADDLIBS)
    159223
    160224# Finally, the -rpath flag is used by libtool to make sure that the shared
    161225# library is found (in the lib install directory) when we are using dynamic
    162226# libraries.
     227
    163228cbc_generic_LDFLAGS = -rpath $(libdir)
    164 
    165 ## If we have the Ampl solver library, we need to add additional things
    166 #if COIN_HAS_ASL
    167 #cbc_generic_LDADD += $(ASLLIB)
    168 #endif
    169 
    170 ########################################################################
    171 #                            cbc program                               #
    172 ########################################################################
    173 
    174 if COIN_HAS_CLP
    175 
    176 # Name of the executable compiled in this directory.  We want it to be
    177 # installed in the 'bin' directory
    178 bin_PROGRAMS += cbc
    179 
    180 # List all source files for this executable, including headers
    181 cbc_SOURCES = \
    182         CoinSolve.cpp \
    183         unitTestClp.cpp
    184 
    185 # Additional COIN libraries
    186 cbc_LDADD = libCbc.la \
    187         $(CGLOBJDIR)/src/libCgl.la \
    188         $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    189         $(OSIOBJDIR)/src/libOsi.la \
    190         $(CLPOBJDIR)/src/libClp.la \
    191         $(COINUTILSOBJDIR)/src/libCoinUtils.la
    192 
    193 # Finally, the -rpath flag is used by libtool to make sure that the shared
    194 # library is found (in the lib install directory) when we are using dynamic
    195 # libraries.
    196 cbc_LDFLAGS = -rpath $(libdir)
    197 
    198 # If we have the Ampl solver library, we need to add additional things
    199 if COIN_HAS_ASL
    200 #cbc_SOURCES += Cbc_ampl.cpp Cbc_ampl.h
    201 cbc_LDADD += $(ASLLIB)
    202 AM_CPPFLAGS += $(ASL_CPPFLAGS)
    203 endif
    204229
    205230endif
  • branches/devel/Cbc/src/Makefile.in

    r587 r592  
    4545build_triplet = @build@
    4646host_triplet = @host@
    47 bin_PROGRAMS = cbc-generic$(EXEEXT) $(am__EXEEXT_1)
    48 
    49 # List all additionally required solver and Osi libraries
    50 @COIN_HAS_CLP_TRUE@am__append_1 = -I`$(CYGPATH_W) $(CLPSRCDIR)/src` \
    51 @COIN_HAS_CLP_TRUE@     -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiClp` \
    52 @COIN_HAS_CLP_TRUE@     -I`$(CYGPATH_W) $(CLPOBJDIR)/inc`
    53 
    54 @COIN_HAS_CLP_TRUE@am__append_2 = $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    55 @COIN_HAS_CLP_TRUE@     $(CLPOBJDIR)/src/libClp.la
    56 
    57 @COIN_HAS_CLP_TRUE@am__append_3 = `cat $(CLPOBJDIR)/clp_addlibs.txt`
    58 @COIN_HAS_CPX_TRUE@am__append_4 = -I`$(CYGPATH_W) $(CPXINCDIR)` \
    59 @COIN_HAS_CPX_TRUE@     -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiCpx`
    60 
    61 @COIN_HAS_CPX_TRUE@am__append_5 = $(OSIOBJDIR)/src/OsiCpx/libOsiCpx.la
    62 @COIN_HAS_DYLP_TRUE@am__append_6 = -I`$(CYGPATH_W) $(DYLPSRCDIR)/src/DylpStdLib` \
    63 @COIN_HAS_DYLP_TRUE@        -I`$(CYGPATH_W) $(DYLPSRCDIR)/src/Dylp` \
    64 @COIN_HAS_DYLP_TRUE@        -I`$(CYGPATH_W) $(DYLPOBJDIR)/inc` \
    65 @COIN_HAS_DYLP_TRUE@    -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiDylp`
    66 
    67 @COIN_HAS_DYLP_TRUE@am__append_7 = $(OSIOBJDIR)/src/OsiDylp/libOsiDylp.la \
    68 @COIN_HAS_DYLP_TRUE@    $(DYLPOBJDIR)/src/Dylp/libDylp.la
    69 
    70 @COIN_HAS_DYLP_TRUE@am__append_8 = `cat $(DYLPOBJDIR)/dylp_addlibs.txt`
    71 @COIN_HAS_FMP_TRUE@am__append_9 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiFmp`
    72 @COIN_HAS_FMP_TRUE@am__append_10 = $(OSIOBJDIR)/src/OsiFmp/libOsiFmp.la
    73 @COIN_HAS_GLPK_TRUE@am__append_11 = -I`$(CYGPATH_W) $(GLPKINCDIR)` \
    74 @COIN_HAS_GLPK_TRUE@    -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiGlpk`
    75 
    76 @COIN_HAS_GLPK_TRUE@am__append_12 = $(OSIOBJDIR)/src/OsiGlpk/libOsiGlpk.la
    77 @COIN_HAS_MSK_TRUE@am__append_13 = -I`$(CYGPATH_W) $(MSKINCDIR)` \
    78 @COIN_HAS_MSK_TRUE@     -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiMsk`
    79 
    80 @COIN_HAS_MSK_TRUE@am__append_14 = $(OSIOBJDIR)/src/OsiMsk/libOsiMsk.la
    81 @COIN_HAS_OSL_TRUE@am__append_15 = -I`$(CYGPATH_W) $(OSLINCDIR)` \
    82 @COIN_HAS_OSL_TRUE@     -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiOsl`
    83 
    84 @COIN_HAS_OSL_TRUE@am__append_16 = $(OSIOBJDIR)/src/OsiOsl/libOsiOsl.la
    85 @COIN_HAS_SPX_TRUE@am__append_17 = -I`$(CYGPATH_W) $(SPXINCDIR)` \
    86 @COIN_HAS_SPX_TRUE@     -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSpx`
    87 
    88 @COIN_HAS_SPX_TRUE@am__append_18 = $(OSIOBJDIR)/src/OsiSpx/libOsiSpx.la
    89 @COIN_HAS_SYM_TRUE@am__append_19 = -I`$(CYGPATH_W) $(SYMSRCDIR)/src` \
    90 @COIN_HAS_SYM_TRUE@     -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSym`
    91 
    92 @COIN_HAS_SYM_TRUE@am__append_20 = $(OSIOBJDIR)/src/OsiSym/libOsiSym.la \
    93 @COIN_HAS_SYM_TRUE@     $(SYMOBJDIR)/src/libSym.la
    94 
    95 @COIN_HAS_SYM_TRUE@am__append_21 = `cat $(SYMOBJDIR)/sym_addlibs.txt`
    96 @COIN_HAS_VOL_TRUE@am__append_22 = -I`$(CYGPATH_W) $(VOLSRCDIR)/src` \
    97 @COIN_HAS_VOL_TRUE@     -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiVol`
    98 
    99 @COIN_HAS_VOL_TRUE@am__append_23 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la \
    100 @COIN_HAS_VOL_TRUE@     $(VOLOBJDIR)/src/libVol.la
    101 
    102 @COIN_HAS_VOL_TRUE@am__append_24 = `cat $(VOLOBJDIR)/vol_addlibs.txt`
    103 @COIN_HAS_XPR_TRUE@am__append_25 = -I`$(CYGPATH_W) $(XPRINCDIR)` \
    104 @COIN_HAS_XPR_TRUE@     -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiXpr`
    105 
    106 @COIN_HAS_XPR_TRUE@am__append_26 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
    107 
    108 #if COIN_HAS_ASL
    109 #cbc_generic_LDADD += $(ASLLIB)
    110 #endif
     47bin_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2)
    11148
    11249########################################################################
     
    11653# Name of the executable compiled in this directory.  We want it to be
    11754# installed in the 'bin' directory
    118 @COIN_HAS_CLP_TRUE@am__append_27 = cbc
     55@COIN_HAS_CLP_TRUE@am__append_1 = cbc
     56
     57# Add locations of include files.
     58@COIN_HAS_CLP_TRUE@am__append_2 = -I`$(CYGPATH_W) $(CLPSRCDIR)/src` \
     59@COIN_HAS_CLP_TRUE@     -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiClp` \
     60@COIN_HAS_CLP_TRUE@     -I`$(CYGPATH_W) $(CLPOBJDIR)/inc`
     61
     62@COIN_HAS_CLP_TRUE@am__append_3 = `cat $(CLPOBJDIR)/clp_addlibs.txt`
    11963
    12064# If we have the Ampl solver library, we need to add additional things
    12165#cbc_SOURCES += Cbc_ampl.cpp Cbc_ampl.h
    122 @COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@am__append_28 = $(ASLLIB)
    123 @COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@am__append_29 = $(ASL_CPPFLAGS)
     66@COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@am__append_4 = $(ASLLIB)
     67@COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@am__append_5 = $(ASL_CPPFLAGS)
     68
     69########################################################################
     70#                        cbc-generic program                           #
     71########################################################################
     72
     73# Name of the executable compiled in this directory.  We want it to be
     74# installed in the 'bin' directory
     75@CBC_BUILD_CBC_GENERIC_TRUE@am__append_6 = cbc-generic
     76
     77# List all additionally required solver and Osi libraries
     78@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CLP_TRUE@am__append_7 = -I`$(CYGPATH_W) $(CLPSRCDIR)/src` \
     79@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CLP_TRUE@ -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiClp` \
     80@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CLP_TRUE@ -I`$(CYGPATH_W) $(CLPOBJDIR)/inc`
     81
     82@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CLP_TRUE@am__append_8 = $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
     83@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CLP_TRUE@ $(CLPOBJDIR)/src/libClp.la
     84
     85@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CLP_TRUE@am__append_9 = `cat $(CLPOBJDIR)/clp_addlibs.txt`
     86@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CPX_TRUE@am__append_10 = -I`$(CYGPATH_W) $(CPXINCDIR)` \
     87@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CPX_TRUE@ -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiCpx`
     88
     89@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CPX_TRUE@am__append_11 = $(OSIOBJDIR)/src/OsiCpx/libOsiCpx.la
     90@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_DYLP_TRUE@am__append_12 = -I`$(CYGPATH_W) $(DYLPSRCDIR)/src/DylpStdLib` \
     91@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_DYLP_TRUE@        -I`$(CYGPATH_W) $(DYLPSRCDIR)/src/Dylp` \
     92@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_DYLP_TRUE@        -I`$(CYGPATH_W) $(DYLPOBJDIR)/inc` \
     93@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_DYLP_TRUE@        -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiDylp`
     94
     95@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_DYLP_TRUE@am__append_13 = $(OSIOBJDIR)/src/OsiDylp/libOsiDylp.la \
     96@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_DYLP_TRUE@        $(DYLPOBJDIR)/src/Dylp/libDylp.la
     97
     98@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_DYLP_TRUE@am__append_14 = `cat $(DYLPOBJDIR)/dylp_addlibs.txt`
     99@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_FMP_TRUE@am__append_15 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiFmp`
     100@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_FMP_TRUE@am__append_16 = $(OSIOBJDIR)/src/OsiFmp/libOsiFmp.la
     101@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_GLPK_TRUE@am__append_17 = -I`$(CYGPATH_W) $(GLPKINCDIR)` \
     102@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_GLPK_TRUE@        -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiGlpk`
     103
     104@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_GLPK_TRUE@am__append_18 = $(OSIOBJDIR)/src/OsiGlpk/libOsiGlpk.la
     105@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_MSK_TRUE@am__append_19 = -I`$(CYGPATH_W) $(MSKINCDIR)` \
     106@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_MSK_TRUE@ -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiMsk`
     107
     108@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_MSK_TRUE@am__append_20 = $(OSIOBJDIR)/src/OsiMsk/libOsiMsk.la
     109@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSL_TRUE@am__append_21 = -I`$(CYGPATH_W) $(OSLINCDIR)` \
     110@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSL_TRUE@ -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiOsl`
     111
     112@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSL_TRUE@am__append_22 = $(OSIOBJDIR)/src/OsiOsl/libOsiOsl.la
     113@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SPX_TRUE@am__append_23 = -I`$(CYGPATH_W) $(SPXINCDIR)` \
     114@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SPX_TRUE@ -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSpx`
     115
     116@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SPX_TRUE@am__append_24 = $(OSIOBJDIR)/src/OsiSpx/libOsiSpx.la
     117@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYM_TRUE@am__append_25 = -I`$(CYGPATH_W) $(SYMSRCDIR)/src` \
     118@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYM_TRUE@ -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSym`
     119
     120@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYM_TRUE@am__append_26 = $(OSIOBJDIR)/src/OsiSym/libOsiSym.la \
     121@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYM_TRUE@ $(SYMOBJDIR)/src/libSym.la
     122
     123@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYM_TRUE@am__append_27 = `cat $(SYMOBJDIR)/sym_addlibs.txt`
     124@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_TRUE@am__append_28 = -I`$(CYGPATH_W) $(VOLSRCDIR)/src` \
     125@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_TRUE@ -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiVol`
     126
     127@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_TRUE@am__append_29 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la \
     128@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_TRUE@ $(VOLOBJDIR)/src/libVol.la
     129
     130@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_TRUE@am__append_30 = `cat $(VOLOBJDIR)/vol_addlibs.txt`
     131@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_XPR_TRUE@am__append_31 = -I`$(CYGPATH_W) $(XPRINCDIR)` \
     132@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_XPR_TRUE@ -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiXpr`
     133
     134@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_XPR_TRUE@am__append_32 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
    124135subdir = src
    125 DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
     136DIST_COMMON = README $(include_HEADERS) $(srcdir)/Makefile.am \
    126137        $(srcdir)/Makefile.in
    127138ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     
    156167libCbc_la_OBJECTS = $(am_libCbc_la_OBJECTS)
    157168@COIN_HAS_CLP_TRUE@am__EXEEXT_1 = cbc$(EXEEXT)
     169@CBC_BUILD_CBC_GENERIC_TRUE@am__EXEEXT_2 = cbc-generic$(EXEEXT)
    158170binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
    159171PROGRAMS = $(bin_PROGRAMS)
     
    172184@COIN_HAS_CLP_TRUE@     $(COINUTILSOBJDIR)/src/libCoinUtils.la \
    173185@COIN_HAS_CLP_TRUE@     $(am__DEPENDENCIES_2)
    174 am_cbc_generic_OBJECTS = CbcMain.$(OBJEXT) CbcParam.$(OBJEXT) \
    175         unitTest.$(OBJEXT)
     186am__cbc_generic_SOURCES_DIST = CbcGenBaB.cpp CbcGenCbcParam.cpp \
     187        CbcGenCbcParam.hpp CbcGenCbcParamUtils.cpp CbcGenCtlBlk.cpp \
     188        CbcGenCtlBlk.hpp CbcGeneric.cpp CbcGenOsiParam.cpp \
     189        CbcGenOsiParam.hpp CbcGenOsiParamUtils.cpp CbcGenParam.cpp \
     190        CbcGenParam.hpp CbcGenParamUtils.cpp CbcGenSolution.cpp \
     191        CbcGenSolvers.cpp
     192@CBC_BUILD_CBC_GENERIC_TRUE@am_cbc_generic_OBJECTS =  \
     193@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenBaB.$(OBJEXT) \
     194@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenCbcParam.$(OBJEXT) \
     195@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenCbcParamUtils.$(OBJEXT) \
     196@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenCtlBlk.$(OBJEXT) \
     197@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGeneric.$(OBJEXT) \
     198@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenOsiParam.$(OBJEXT) \
     199@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenOsiParamUtils.$(OBJEXT) \
     200@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenParam.$(OBJEXT) \
     201@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenParamUtils.$(OBJEXT) \
     202@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenSolution.$(OBJEXT) \
     203@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenSolvers.$(OBJEXT)
    176204cbc_generic_OBJECTS = $(am_cbc_generic_OBJECTS)
    177 @COIN_HAS_CLP_TRUE@am__DEPENDENCIES_3 =  \
    178 @COIN_HAS_CLP_TRUE@     $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    179 @COIN_HAS_CLP_TRUE@     $(CLPOBJDIR)/src/libClp.la
    180 @COIN_HAS_CPX_TRUE@am__DEPENDENCIES_4 =  \
    181 @COIN_HAS_CPX_TRUE@     $(OSIOBJDIR)/src/OsiCpx/libOsiCpx.la
    182 @COIN_HAS_DYLP_TRUE@am__DEPENDENCIES_5 =  \
    183 @COIN_HAS_DYLP_TRUE@    $(OSIOBJDIR)/src/OsiDylp/libOsiDylp.la \
    184 @COIN_HAS_DYLP_TRUE@    $(DYLPOBJDIR)/src/Dylp/libDylp.la
    185 @COIN_HAS_FMP_TRUE@am__DEPENDENCIES_6 =  \
    186 @COIN_HAS_FMP_TRUE@     $(OSIOBJDIR)/src/OsiFmp/libOsiFmp.la
    187 @COIN_HAS_GLPK_TRUE@am__DEPENDENCIES_7 =  \
    188 @COIN_HAS_GLPK_TRUE@    $(OSIOBJDIR)/src/OsiGlpk/libOsiGlpk.la
    189 @COIN_HAS_MSK_TRUE@am__DEPENDENCIES_8 =  \
    190 @COIN_HAS_MSK_TRUE@     $(OSIOBJDIR)/src/OsiMsk/libOsiMsk.la
    191 @COIN_HAS_OSL_TRUE@am__DEPENDENCIES_9 =  \
    192 @COIN_HAS_OSL_TRUE@     $(OSIOBJDIR)/src/OsiOsl/libOsiOsl.la
    193 @COIN_HAS_SPX_TRUE@am__DEPENDENCIES_10 =  \
    194 @COIN_HAS_SPX_TRUE@     $(OSIOBJDIR)/src/OsiSpx/libOsiSpx.la
    195 @COIN_HAS_SYM_TRUE@am__DEPENDENCIES_11 =  \
    196 @COIN_HAS_SYM_TRUE@     $(OSIOBJDIR)/src/OsiSym/libOsiSym.la \
    197 @COIN_HAS_SYM_TRUE@     $(SYMOBJDIR)/src/libSym.la
    198 @COIN_HAS_VOL_TRUE@am__DEPENDENCIES_12 =  \
    199 @COIN_HAS_VOL_TRUE@     $(OSIOBJDIR)/src/OsiVol/libOsiVol.la \
    200 @COIN_HAS_VOL_TRUE@     $(VOLOBJDIR)/src/libVol.la
    201 @COIN_HAS_XPR_TRUE@am__DEPENDENCIES_13 =  \
    202 @COIN_HAS_XPR_TRUE@     $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
    203 cbc_generic_DEPENDENCIES = libCbc.la $(CGLOBJDIR)/src/libCgl.la \
    204         $(OSIOBJDIR)/src/OsiCbc/libOsiCbc.la $(am__DEPENDENCIES_3) \
    205         $(am__DEPENDENCIES_4) $(am__DEPENDENCIES_5) \
    206         $(am__DEPENDENCIES_6) $(am__DEPENDENCIES_7) \
    207         $(am__DEPENDENCIES_8) $(am__DEPENDENCIES_9) \
    208         $(am__DEPENDENCIES_10) $(am__DEPENDENCIES_11) \
    209         $(am__DEPENDENCIES_12) $(am__DEPENDENCIES_13) \
    210         $(OSIOBJDIR)/src/libOsi.la \
    211         $(COINUTILSOBJDIR)/src/libCoinUtils.la
     205@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CLP_TRUE@am__DEPENDENCIES_3 = $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
     206@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CLP_TRUE@ $(CLPOBJDIR)/src/libClp.la
     207@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_CPX_TRUE@am__DEPENDENCIES_4 = $(OSIOBJDIR)/src/OsiCpx/libOsiCpx.la
     208@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_DYLP_TRUE@am__DEPENDENCIES_5 = $(OSIOBJDIR)/src/OsiDylp/libOsiDylp.la \
     209@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_DYLP_TRUE@        $(DYLPOBJDIR)/src/Dylp/libDylp.la
     210@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_FMP_TRUE@am__DEPENDENCIES_6 = $(OSIOBJDIR)/src/OsiFmp/libOsiFmp.la
     211@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_GLPK_TRUE@am__DEPENDENCIES_7 = $(OSIOBJDIR)/src/OsiGlpk/libOsiGlpk.la
     212@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_MSK_TRUE@am__DEPENDENCIES_8 = $(OSIOBJDIR)/src/OsiMsk/libOsiMsk.la
     213@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSL_TRUE@am__DEPENDENCIES_9 = $(OSIOBJDIR)/src/OsiOsl/libOsiOsl.la
     214@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SPX_TRUE@am__DEPENDENCIES_10 = $(OSIOBJDIR)/src/OsiSpx/libOsiSpx.la
     215@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYM_TRUE@am__DEPENDENCIES_11 = $(OSIOBJDIR)/src/OsiSym/libOsiSym.la \
     216@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYM_TRUE@ $(SYMOBJDIR)/src/libSym.la
     217@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_TRUE@am__DEPENDENCIES_12 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la \
     218@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_TRUE@ $(VOLOBJDIR)/src/libVol.la
     219@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_XPR_TRUE@am__DEPENDENCIES_13 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
     220@CBC_BUILD_CBC_GENERIC_TRUE@cbc_generic_DEPENDENCIES = libCbc.la \
     221@CBC_BUILD_CBC_GENERIC_TRUE@    $(CGLOBJDIR)/src/libCgl.la \
     222@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_3) \
     223@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_4) \
     224@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_5) \
     225@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_6) \
     226@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_7) \
     227@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_8) \
     228@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_9) \
     229@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_10) \
     230@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_11) \
     231@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_12) \
     232@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_13) \
     233@CBC_BUILD_CBC_GENERIC_TRUE@    $(OSIOBJDIR)/src/libOsi.la \
     234@CBC_BUILD_CBC_GENERIC_TRUE@    $(COINUTILSOBJDIR)/src/libCoinUtils.la
    212235depcomp = $(SHELL) $(top_srcdir)/../depcomp
    213236am__depfiles_maybe = depfiles
     
    230253SOURCES = $(libCbc_la_SOURCES) $(cbc_SOURCES) $(cbc_generic_SOURCES)
    231254DIST_SOURCES = $(libCbc_la_SOURCES) $(am__cbc_SOURCES_DIST) \
    232         $(cbc_generic_SOURCES)
     255        $(am__cbc_generic_SOURCES_DIST)
    233256includeHEADERS_INSTALL = $(INSTALL_HEADER)
    234257HEADERS = $(include_HEADERS)
     
    256279CBCOBJDIR = @CBCOBJDIR@
    257280CBCSRCDIR = @CBCSRCDIR@
     281CBC_BUILD_CBC_GENERIC_FALSE = @CBC_BUILD_CBC_GENERIC_FALSE@
     282CBC_BUILD_CBC_GENERIC_TRUE = @CBC_BUILD_CBC_GENERIC_TRUE@
    258283CC = @CC@
    259284CCDEPMODE = @CCDEPMODE@
     
    336361LIBEXT = @LIBEXT@
    337362LIBOBJS = @LIBOBJS@
    338 LIBS = @LIBS@ $(am__append_3) $(am__append_8) $(am__append_21) \
    339         $(am__append_24) `cat $(OSIOBJDIR)/osi_addlibs.txt` `cat \
    340         $(COINUTILSOBJDIR)/coinutils_addlibs.txt` $(ADDLIBS)
     363LIBS = @LIBS@ `cat $(CGLOBJDIR)/cgl_addlibs.txt` `cat \
     364        $(OSIOBJDIR)/osi_addlibs.txt` `cat \
     365        $(COINUTILSOBJDIR)/coinutils_addlibs.txt` $(ADDLIBS) \
     366        $(am__append_3) $(am__append_9) $(am__append_14) \
     367        $(am__append_27) $(am__append_30)
    341368LIBTOOL = @LIBTOOL@
    342369LIBTOOLM4 = @LIBTOOLM4@
     
    468495libCbc_la_LDFLAGS = $(LT_LDFLAGS)
    469496
    470 # List all source files for this executable, including headers
    471 cbc_generic_SOURCES = \
    472         CbcMain.cpp \
    473         CbcParam.cpp CbcParam.hpp \
    474         unitTest.cpp
    475 
    476 
    477 # Finally the Osi Coin library (many of the above need it)
    478 cbc_generic_LDADD = libCbc.la $(CGLOBJDIR)/src/libCgl.la \
    479         $(OSIOBJDIR)/src/OsiCbc/libOsiCbc.la $(am__append_2) \
    480         $(am__append_5) $(am__append_7) $(am__append_10) \
    481         $(am__append_12) $(am__append_14) $(am__append_16) \
    482         $(am__append_18) $(am__append_20) $(am__append_23) \
    483         $(am__append_26) $(OSIOBJDIR)/src/libOsi.la \
    484         $(COINUTILSOBJDIR)/src/libCoinUtils.la
    485 
    486497########################################################################
    487498#                            Additional flags                          #
     
    494505
    495506# List additional defines
    496 AM_CPPFLAGS = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiCbc` $(am__append_1) \
    497         $(am__append_4) $(am__append_6) $(am__append_9) \
    498         $(am__append_11) $(am__append_13) $(am__append_15) \
    499         $(am__append_17) $(am__append_19) $(am__append_22) \
    500         $(am__append_25) $(am__append_29) -I`$(CYGPATH_W) \
    501         $(CGLSRCDIR)/src` -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglClique` \
    502         -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglDuplicateRow` \
    503         -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglFlowCover` -I`$(CYGPATH_W) \
     507AM_CPPFLAGS = $(am__append_2) $(am__append_5) $(am__append_7) \
     508        $(am__append_10) $(am__append_12) $(am__append_15) \
     509        $(am__append_17) $(am__append_19) $(am__append_21) \
     510        $(am__append_23) $(am__append_25) $(am__append_28) \
     511        $(am__append_31) -I`$(CYGPATH_W) $(CGLSRCDIR)/src` \
     512        -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglClique` -I`$(CYGPATH_W) \
     513        $(CGLSRCDIR)/src/CglDuplicateRow` -I`$(CYGPATH_W) \
     514        $(CGLSRCDIR)/src/CglFlowCover` -I`$(CYGPATH_W) \
    504515        $(CGLSRCDIR)/src/CglGomory` -I`$(CYGPATH_W) \
    505516        $(CGLSRCDIR)/src/CglKnapsackCover` -I`$(CYGPATH_W) \
     
    517528        -DUSE_CBCCONFIG
    518529
    519 # Finally, the -rpath flag is used by libtool to make sure that the shared
    520 # library is found (in the lib install directory) when we are using dynamic
    521 # libraries.
    522 cbc_generic_LDFLAGS = -rpath $(libdir)
    523 
    524530# List all source files for this executable, including headers
    525531@COIN_HAS_CLP_TRUE@cbc_SOURCES = \
     
    534540@COIN_HAS_CLP_TRUE@     $(CLPOBJDIR)/src/libClp.la \
    535541@COIN_HAS_CLP_TRUE@     $(COINUTILSOBJDIR)/src/libCoinUtils.la \
    536 @COIN_HAS_CLP_TRUE@     $(am__append_28)
     542@COIN_HAS_CLP_TRUE@     $(am__append_4)
    537543
    538544# Finally, the -rpath flag is used by libtool to make sure that the shared
     
    540546# libraries.
    541547@COIN_HAS_CLP_TRUE@cbc_LDFLAGS = -rpath $(libdir)
     548
     549# List all source files for this executable, including headers
     550@CBC_BUILD_CBC_GENERIC_TRUE@cbc_generic_SOURCES = \
     551@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenBaB.cpp \
     552@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenCbcParam.cpp CbcGenCbcParam.hpp CbcGenCbcParamUtils.cpp \
     553@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenCtlBlk.cpp CbcGenCtlBlk.hpp \
     554@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGeneric.cpp \
     555@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenOsiParam.cpp CbcGenOsiParam.hpp CbcGenOsiParamUtils.cpp \
     556@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenParam.cpp CbcGenParam.hpp CbcGenParamUtils.cpp \
     557@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenSolution.cpp \
     558@CBC_BUILD_CBC_GENERIC_TRUE@    CbcGenSolvers.cpp
     559
     560
     561# Finally the Osi Coin library (many of the above need it)
     562@CBC_BUILD_CBC_GENERIC_TRUE@cbc_generic_LDADD = libCbc.la \
     563@CBC_BUILD_CBC_GENERIC_TRUE@    $(CGLOBJDIR)/src/libCgl.la \
     564@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_8) $(am__append_11) \
     565@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_13) $(am__append_16) \
     566@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_18) $(am__append_20) \
     567@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_22) $(am__append_24) \
     568@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_26) $(am__append_29) \
     569@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_32) \
     570@CBC_BUILD_CBC_GENERIC_TRUE@    $(OSIOBJDIR)/src/libOsi.la \
     571@CBC_BUILD_CBC_GENERIC_TRUE@    $(COINUTILSOBJDIR)/src/libCoinUtils.la
     572
     573# Finally, the -rpath flag is used by libtool to make sure that the shared
     574# library is found (in the lib install directory) when we are using dynamic
     575# libraries.
     576@CBC_BUILD_CBC_GENERIC_TRUE@cbc_generic_LDFLAGS = -rpath $(libdir)
    542577
    543578# This line is necessary to allow VPATH compilation with MS compilers
     
    699734@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcFathom.Plo@am__quote@
    700735@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcFathomDynamicProgramming.Plo@am__quote@
     736@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGenBaB.Po@am__quote@
     737@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGenCbcParam.Po@am__quote@
     738@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGenCbcParamUtils.Po@am__quote@
     739@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGenCtlBlk.Po@am__quote@
     740@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGenOsiParam.Po@am__quote@
     741@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGenOsiParamUtils.Po@am__quote@
     742@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGenParam.Po@am__quote@
     743@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGenParamUtils.Po@am__quote@
     744@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGenSolution.Po@am__quote@
     745@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGenSolvers.Po@am__quote@
     746@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcGeneric.Po@am__quote@
    701747@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcHeuristic.Plo@am__quote@
    702748@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcHeuristicFPump.Plo@am__quote@
     
    705751@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcHeuristicRINS.Plo@am__quote@
    706752@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcLinked.Plo@am__quote@
    707 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcMain.Po@am__quote@
    708753@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcMessage.Plo@am__quote@
    709754@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcModel.Plo@am__quote@
    710755@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcNode.Plo@am__quote@
    711 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcParam.Po@am__quote@
    712756@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcSolver.Plo@am__quote@
    713757@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcStatistics.Plo@am__quote@
     
    718762@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Cbc_ampl.Plo@am__quote@
    719763@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CoinSolve.Po@am__quote@
    720 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unitTest.Po@am__quote@
    721764@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unitTestClp.Po@am__quote@
    722765
  • branches/devel/Cbc/test/Makefile.am

    r372 r592  
    1313########################################################################
    1414
    15 # We are using the Cbc solver executable to do the unit test
     15CBC_TEST_TGTS =
    1616
    17 test: ../src/cbc-generic$(EXEEXT) ../src/cbc$(EXEEXT)
     17if COIN_HAS_CLP
     18  CBC_TEST_TGTS += test_cbc
     19endif
     20if CBC_BUILD_CBC_GENERIC
     21  CBC_TEST_TGTS += test_cbc_generic
     22endif
     23
     24# We are using the solver executables to do the unit test
     25
     26test: $(CBC_TEST_TGTS)
     27
     28test_cbc: ../src/cbc$(EXEEXT)
    1829        cd ../../Data/Netlib; make uncompress
    1930        cd ../../Data/miplib3; make uncompress
    20         ../src/cbc-generic$(EXEEXT) -miplib -unitTest
    21         ../src/cbc$(EXEEXT) -unitTest -netlib
     31        ../src/cbc$(EXEEXT) -unitTest -netlib -miplib
     32
     33test_cbc_generic: ../src/cbc-generic$(EXEEXT)
     34        echo "A minimal test is all that cbc-generic can manage just yet."
     35        ../src/cbc-generic$(EXEEXT) \
     36            -directory ../../Data/miplib3 -import p0033 -branch
    2237
    2338.PHONY: test
  • branches/devel/Cbc/test/Makefile.in

    r547 r592  
    4242build_triplet = @build@
    4343host_triplet = @host@
     44@COIN_HAS_CLP_TRUE@am__append_1 = test_cbc
     45@CBC_BUILD_CBC_GENERIC_TRUE@am__append_2 = test_cbc_generic
    4446subdir = test
    4547DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
     
    7577CBCOBJDIR = @CBCOBJDIR@
    7678CBCSRCDIR = @CBCSRCDIR@
     79CBC_BUILD_CBC_GENERIC_FALSE = @CBC_BUILD_CBC_GENERIC_FALSE@
     80CBC_BUILD_CBC_GENERIC_TRUE = @CBC_BUILD_CBC_GENERIC_TRUE@
    7781CC = @CC@
    7882CCDEPMODE = @CCDEPMODE@
     
    253257
    254258########################################################################
     259#                         unitTest for Cbc                             #
     260########################################################################
     261CBC_TEST_TGTS = $(am__append_1) $(am__append_2)
     262
     263########################################################################
    255264#                          Cleaning stuff                              #
    256265########################################################################
     
    421430
    422431
    423 ########################################################################
    424 #                         unitTest for Cbc                             #
    425 ########################################################################
    426 
    427 # We are using the Cbc solver executable to do the unit test
    428 
    429 test: ../src/cbc-generic$(EXEEXT) ../src/cbc$(EXEEXT)
     432# We are using the solver executables to do the unit test
     433
     434test: $(CBC_TEST_TGTS)
     435
     436test_cbc: ../src/cbc$(EXEEXT)
    430437        cd ../../Data/Netlib; make uncompress
    431438        cd ../../Data/miplib3; make uncompress
    432         ../src/cbc-generic$(EXEEXT) -miplib -unitTest
    433         ../src/cbc$(EXEEXT) -unitTest -netlib
     439        ../src/cbc$(EXEEXT) -unitTest -netlib -miplib
     440
     441test_cbc_generic: ../src/cbc-generic$(EXEEXT)
     442        echo "A minimal test is all that cbc-generic can manage just yet."
     443        ../src/cbc-generic$(EXEEXT) \
     444            -directory ../../Data/miplib3 -import p0033 -branch
    434445
    435446.PHONY: test
Note: See TracChangeset for help on using the changeset viewer.